<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Angajat.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">Angajat.java</span></div><h1>Angajat.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;


import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

import java.io.Serializable;
import java.time.Instant;
import java.util.HashSet;
import java.util.Set;
import java.util.Objects;

/**
 * A Angajat.
 */
@Entity
@Table(name = &quot;angajat&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L23">public class Angajat implements Serializable {</span>

    private static final long serialVersionUID = 1L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    private Long id;

    @Column(name = &quot;prenume&quot;)
    private String prenume;

    @Column(name = &quot;nume&quot;)
    private String nume;

    @Column(name = &quot;email&quot;)
    private String email;

    @Column(name = &quot;nr_telefon&quot;)
    private String nrTelefon;

    @Column(name = &quot;data_angajare&quot;)
    private Instant dataAngajare;

    @Column(name = &quot;salariu&quot;)
    private Long salariu;

    @ManyToOne
    @JsonIgnoreProperties(&quot;angajats&quot;)
    private Departament departament;

<span class="fc" id="L54">    @OneToMany(mappedBy = &quot;angajat&quot;)</span>
    @Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
    private Set&lt;Functie&gt; functies = new HashSet&lt;&gt;();
    @ManyToOne
    @JsonIgnoreProperties(&quot;angajats&quot;)
    private Angajat manager;

    // jhipster-needle-entity-add-field - JHipster will add fields here, do not remove
    public Long getId() {
<span class="fc" id="L63">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L67">        this.id = id;</span>
<span class="fc" id="L68">    }</span>

    public String getPrenume() {
<span class="fc" id="L71">        return prenume;</span>
    }

    public Angajat prenume(String prenume) {
<span class="fc" id="L75">        this.prenume = prenume;</span>
<span class="fc" id="L76">        return this;</span>
    }

    public void setPrenume(String prenume) {
<span class="fc" id="L80">        this.prenume = prenume;</span>
<span class="fc" id="L81">    }</span>

    public String getNume() {
<span class="fc" id="L84">        return nume;</span>
    }

    public Angajat nume(String nume) {
<span class="fc" id="L88">        this.nume = nume;</span>
<span class="fc" id="L89">        return this;</span>
    }

    public void setNume(String nume) {
<span class="fc" id="L93">        this.nume = nume;</span>
<span class="fc" id="L94">    }</span>

    public String getEmail() {
<span class="fc" id="L97">        return email;</span>
    }

    public Angajat email(String email) {
<span class="fc" id="L101">        this.email = email;</span>
<span class="fc" id="L102">        return this;</span>
    }

    public void setEmail(String email) {
<span class="fc" id="L106">        this.email = email;</span>
<span class="fc" id="L107">    }</span>

    public String getNrTelefon() {
<span class="fc" id="L110">        return nrTelefon;</span>
    }

    public Angajat nrTelefon(String nrTelefon) {
<span class="fc" id="L114">        this.nrTelefon = nrTelefon;</span>
<span class="fc" id="L115">        return this;</span>
    }

    public void setNrTelefon(String nrTelefon) {
<span class="fc" id="L119">        this.nrTelefon = nrTelefon;</span>
<span class="fc" id="L120">    }</span>

    public Instant getDataAngajare() {
<span class="fc" id="L123">        return dataAngajare;</span>
    }

    public Angajat dataAngajare(Instant dataAngajare) {
<span class="fc" id="L127">        this.dataAngajare = dataAngajare;</span>
<span class="fc" id="L128">        return this;</span>
    }

    public void setDataAngajare(Instant dataAngajare) {
<span class="fc" id="L132">        this.dataAngajare = dataAngajare;</span>
<span class="fc" id="L133">    }</span>

    public Long getSalariu() {
<span class="fc" id="L136">        return salariu;</span>
    }

    public Angajat salariu(Long salariu) {
<span class="fc" id="L140">        this.salariu = salariu;</span>
<span class="fc" id="L141">        return this;</span>
    }

    public void setSalariu(Long salariu) {
<span class="fc" id="L145">        this.salariu = salariu;</span>
<span class="fc" id="L146">    }</span>

    public Departament getDepartament() {
<span class="fc" id="L149">        return departament;</span>
    }

    public Angajat departament(Departament departament) {
<span class="nc" id="L153">        this.departament = departament;</span>
<span class="nc" id="L154">        return this;</span>
    }

    public void setDepartament(Departament departament) {
<span class="nc" id="L158">        this.departament = departament;</span>
<span class="nc" id="L159">    }</span>

    public Set&lt;Functie&gt; getFuncties() {
<span class="fc" id="L162">        return functies;</span>
    }

    public Angajat functies(Set&lt;Functie&gt; functies) {
<span class="nc" id="L166">        this.functies = functies;</span>
<span class="nc" id="L167">        return this;</span>
    }

    public Angajat addFunctie(Functie functie) {
<span class="nc" id="L171">        this.functies.add(functie);</span>
<span class="nc" id="L172">        functie.setAngajat(this);</span>
<span class="nc" id="L173">        return this;</span>
    }

    public Angajat removeFunctie(Functie functie) {
<span class="nc" id="L177">        this.functies.remove(functie);</span>
<span class="nc" id="L178">        functie.setAngajat(null);</span>
<span class="nc" id="L179">        return this;</span>
    }

    public void setFuncties(Set&lt;Functie&gt; functies) {
<span class="nc" id="L183">        this.functies = functies;</span>
<span class="nc" id="L184">    }</span>

    public Angajat getManager() {
<span class="fc" id="L187">        return manager;</span>
    }

    public Angajat manager(Angajat angajat) {
<span class="nc" id="L191">        this.manager = angajat;</span>
<span class="nc" id="L192">        return this;</span>
    }

    public void setManager(Angajat angajat) {
<span class="nc" id="L196">        this.manager = angajat;</span>
<span class="nc" id="L197">    }</span>
    // jhipster-needle-entity-add-getters-setters - JHipster will add getters and setters here, do not remove

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L202" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L203">            return true;</span>
        }
<span class="fc bfc" id="L205" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L206">            return false;</span>
        }
<span class="fc" id="L208">        Angajat angajat = (Angajat) o;</span>
<span class="fc bfc" id="L209" title="All 4 branches covered.">        if (angajat.getId() == null || getId() == null) {</span>
<span class="fc" id="L210">            return false;</span>
        }
<span class="fc" id="L212">        return Objects.equals(getId(), angajat.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L217">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L222">        return &quot;Angajat{&quot; +</span>
<span class="fc" id="L223">            &quot;id=&quot; + getId() +</span>
<span class="fc" id="L224">            &quot;, prenume='&quot; + getPrenume() + &quot;'&quot; +</span>
<span class="fc" id="L225">            &quot;, nume='&quot; + getNume() + &quot;'&quot; +</span>
<span class="fc" id="L226">            &quot;, email='&quot; + getEmail() + &quot;'&quot; +</span>
<span class="fc" id="L227">            &quot;, nrTelefon='&quot; + getNrTelefon() + &quot;'&quot; +</span>
<span class="fc" id="L228">            &quot;, dataAngajare='&quot; + getDataAngajare() + &quot;'&quot; +</span>
<span class="fc" id="L229">            &quot;, salariu=&quot; + getSalariu() +</span>
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>